## tasksel 3.82devuan1

=== debian/changelog ===
tasksel (3.82devuan1) unstable; urgency=medium

  * Merge tag 3.82.

 -- Mark Hindley <mark@hindley.org.uk>  Wed, 10 Sep 2025 08:52:32 +0100

=== debian/control ===
Source: tasksel
Section: tasks
Priority: optional
Maintainer: Devuan Dev Team <devuan-dev@lists.dyne.org>
Uploaders: Daniel Reurich <daniel@centurion.net.nz>,
	   Mark Hindley <mark@hindley.org.uk>
Standards-Version: 4.6.1
Build-Depends:
	debhelper-compat (= 13),
	gettext,
	po-debconf
Vcs-Git: https://git.devuan.org/devuan/tasksel.git
Vcs-Browser: https://git.devuan.org/devuan/tasksel
Rules-Requires-Root: no
Origin: Devuan

Package: tasksel
Section: admin
Architecture: all
Pre-Depends: debconf | cdebconf
Depends: ${misc:Depends}, liblocale-gettext-perl, apt, tasksel-data
Conflicts: base-config (<< 2.32)
Description: tool for selecting tasks for installation on Devuan systems
 This package provides 'tasksel', a simple interface for users who
 want to configure their system to perform a specific task.

Package: tasksel-data
Section: admin
Architecture: all
Depends: ${misc:Depends}
Recommends: laptop-detect, tasksel
Description: official tasks used for installation of Devuan systems
 This package contains data about the standard tasks available on a Devuan
 system.

Package: task-speech-accessibility
Architecture: all
Depends: ${misc:Depends},
# An accessible display manager
	 lightdm | gdm3,
	 devuan-speech-dispatcher-config-override
Description: Speech accessibility configuration
 This task configures the system for speech synthesis using ALSA which supports
 both graphical and console interfaces.

Package: task-desktop
Architecture: all
Description: Devuan desktop environment
 This task package is used to install the Devuan desktop.
Depends: ${misc:Depends},
	xorg,
	xserver-xorg-video-all,
	xserver-xorg-input-all,
	desktop-base,
Recommends:
# One of the actual desktop tasks is needed to get a full desktop environment.
# The order here is significant when installing this task manually;
# when tasksel installs this task it instead selects one of these based
# on the tasksel/desktop debconf setting.
#	 task-xfce-desktop | task-kde-desktop | task-lxde-desktop | task-cinnamon-desktop | task-mate-desktop | task-gnome-desktop ,
##	 task-xfce-desktop | task-cinnamon-desktop | task-kde-desktop | task-lxde-desktop | task-lxqt-desktop | task-mate-desktop ,
	 task-xfce-desktop | task-cinnamon-desktop | task-lxde-desktop | task-kde-desktop | task-lxqt-desktop | task-mate-desktop | task-gnome-desktop,
#	 task-xfce-desktop | task-lxde-desktop | task-mate-desktop ,
# For use by third-party apps.
	xdg-utils,
# Font with wide unicode coverage, prevents “Unicode tofu”
	fonts-symbola,
# mdns/zeroconf stuff
	avahi-daemon,
	libnss-mdns,
# desktop machines might not be up 24/7
	anacron,
# Make sure that CDs etc can be ejected. May not be installed by d-i.
	eject,
# wireless networking tools (they're more and more used on desktops too)
	iw,
# sound
	alsa-utils,
# For use by users, to elevate privileges
	sudo,
# firefox is the most popular web browser at the moment,
# although both gnome and kde offer their own too
	firefox | firefox-esr,
# print system
	cups,

Package: task-gnome-desktop
Architecture: all
Description: GNOME
 This task package is used to install the Devuan desktop, featuring
 the GNOME desktop environment, and with other packages that Devuan users
 expect to have available on the desktop.
Depends: ${misc:Depends},
	task-desktop,
# only depend on a very minimal gnome desktop, to ensure it fits on CD1
	gnome-core,
Recommends:
# The full gnome desktop environment should be included if possible
# even if the larger gnome metapackage doesn't fit.
	gnome,

Package: task-gnome-flashback-desktop
Architecture: all
Description: GNOME Flashback
 This task package is used to install the Debian desktop, featuring
 the GNOME Flashback desktop environment, and with other packages that
 Debian users expect to have available on the desktop.
Depends: ${misc:Depends},
	task-desktop,
# the basic components required for the session
	gnome-session-flashback,
# the display manager
	gdm3,
# the control center
	gnome-control-center,
# some core GNOME applications
	eog,
	evince,
	file-roller,
	gedit,
	gnome-calculator,
	gnome-screenshot,
	gnome-terminal,
	totem,
# network manager applet
	network-manager-applet,
Recommends:
# GNOME support in LibreOffice
	libreoffice-gnome,
# libreoffice is the best word processor / office suite at the moment
	libreoffice-writer,
	libreoffice-calc,
	libreoffice-impress,
# make help menu work
	libreoffice-help-en-us,
# make thesaurus work
	mythes-en-us,
# make spellchecker work
	hunspell-en-us,
# make hyphenation work
	hyphen-en-us,
# accessibility support
	orca,
# web browser
	firefox | firefox-esr,
# mail client
	evolution,
# package management
	gnome-software,
	synaptic,
# Devuan templates and mirror list for synaptic
	python-apt-common-devuan,
# some non-core GNOME applications
	alacarte,
	gnome-disk-utility,
	gnome-tweaks,
	yelp,

Package: task-kde-desktop
Architecture: all
Description: KDE
 This task package is used to install the Devuan desktop, featuring
 the KDE Plasma desktop environment, and with other packages that Devuan users
 expect to have available on the desktop.
Depends: ${misc:Depends},
	task-desktop,
	kde-standard,
	lightdm | slim | sddm,
Recommends:
# accessibility support
	kdeaccessibility,
# orca works with kde, adding accessibility
	orca,
# temporarily moved from task-desktop due to #525077
	gimp,
# libreoffice is the best word processor / office suite at the moment
	libreoffice-writer,
	libreoffice-calc,
	libreoffice-impress,
# KDE support in LibreOffice
	libreoffice-plasma,
	libreoffice-kf6,
# make help menu work
	libreoffice-help-en-us,
# make thesaurus work
	mythes-en-us,
# make spellchecker work
	hunspell-en-us,
# make hyphenation work
	hyphen-en-us,
# gui for configuration of the print service
	print-manager,
# make time setting menu item work
       time-daemon | ntpsec-ntpdate

Package: task-lxde-desktop
Architecture: all
Description: LXDE
 This task package is used to install the Devuan desktop, featuring
 the LXDE desktop environment, and with other packages that Devuan users
 expect to have available on the desktop.
Depends: ${misc:Depends},
	task-desktop,
	lightdm | slim,
	lxde,
Recommends:
	lxtask,
	lxlauncher,
	xsane,
# libreoffice widgets using just gtk, and also accessibility needs the GTK frontend
	libreoffice-gtk3,
# Package management.
	synaptic,
# Devuan templates and mirror list for synaptic
	python-apt-common-devuan,
# libreoffice is the best word processor / office suite at the moment
	libreoffice-writer,
	libreoffice-calc,
	libreoffice-impress,
# make help menu work
	libreoffice-help-en-us,
# make thesaurus work
	mythes-en-us,
# make spellchecker work
	hunspell-en-us,
# make hyphenation work
	hyphen-en-us,
# gui for configuration of the print service
	system-config-printer,
# orca works with lxde, adding accessibility
	orca,
# libreoffice accessibility needs the GTK frontend
	libreoffice-gtk2,

Package: task-lxqt-desktop
Architecture: all
Description: LXQt
 This task package is used to install the Devuan desktop, featuring
 the LXQt desktop environment, and with other packages that Devuan users
 expect to have available on the desktop.
Depends: ${misc:Depends},
         task-desktop,
# Mention the preferred theme before sddm, otherwise another theme will be used
         sddm-theme-maui | sddm-theme,
         lightdm | slim | sddm,
         lxqt,
Recommends: xsane,
# orca works with qt, adding accessibility
	orca,
# libreoffice widgets using just gtk and qt
	libreoffice-gtk3,
	libreoffice-qt5,
# Package management.
	synaptic,
# Devuan templates and mirror list for synaptic
	python-apt-common-devuan,
# libreoffice is the best word processor / office suite at the moment
	libreoffice-writer,
	libreoffice-calc,
	libreoffice-impress,
# make help menu work
	libreoffice-help-en-us,
# make thesaurus work
	mythes-en-us,
# make spellchecker work
	hunspell-en-us,
# make hyphenation work
	hyphen-en-us,
# gui for configuration of the print service
	system-config-printer,

Package: task-xfce-desktop
Architecture: all
Description: Xfce
 This task package is used to install the Devuan desktop, featuring
 the Xfce desktop environment, and with other packages that Devuan users
 expect to have available on the desktop.
Depends: ${misc:Depends},
	task-desktop,
# The basics of xfce, not the whole thing.
	xfce4,
	slim | lightdm,
Recommends:
# a screen saver/locker
## Actually don't recommend one here. xfce4 depends on xfce4-session and that already recommends screensaver(s).
# well known xfce4 enhancements
	xfce4-goodies,
	xfce4-power-manager,
	xfce4-terminal,
# xfce text editor
	mousepad,
# xfce is really improved by using dbus
	default-dbus-session-bus | dbus-session-bus,
# support for scanners
	xsane,
# media players
	parole,
	quodlibet,
# pdf viewer
	atril,
# icon theme
	tango-icon-theme,
# network management
	network-manager-applet | connman-gtk | cmst,
# package management
	synaptic,
# Devuan templates and mirror list for synaptic
	python-apt-common-devuan,
# libreoffice is the best word processor / office suite at the moment
	libreoffice-writer,
	libreoffice-calc,
	libreoffice-impress,
# make help menu work
	libreoffice-help-en-us,
# make thesaurus work
	mythes-en-us,
# make spellchecker work
	hunspell-en-us,
# make hyphenation work
	hyphen-en-us,
# gui for configuration of the print service
	system-config-printer,
# orca works with xfce, adding accessibility
	orca,
# libreoffice accessibility needs the GTK frontend
	libreoffice-gtk3,

Package: task-cinnamon-desktop
Architecture: all
Description: Cinnamon
 This task package is used to install the Devuan desktop, featuring
 the Cinnamon desktop environment, and with other packages that Devuan users
 expect to have available on the desktop.
Depends: ${misc:Depends},
	task-desktop,
	cinnamon-desktop-environment,
	lightdm | slim,

Package: task-mate-desktop
Architecture: all
Description: MATE
 This task package is used to install the Devuan desktop, featuring
 the MATE desktop environment, and with other packages that Devuan users
 expect to have available on the desktop.
Depends: ${misc:Depends},
	task-desktop,
	mate-desktop-environment,
	lightdm | slim,
Recommends:
# temporarily moved from task-desktop due to #525077
	gimp,
# Package management.
	synaptic,
# Devuan templates and mirror list for synaptic
	python-apt-common-devuan,
# libreoffice is the best word processor / office suite at the moment
	libreoffice-writer,
	libreoffice-calc,
	libreoffice-impress,
# make e.g. sftp:// work in caja
	libreoffice-gnome,
# make help menu work
	libreoffice-help-en-us,
# make thesaurus work
	mythes-en-us,
# make spellchecker work
	hunspell-en-us,
# make hyphenation work
	hyphen-en-us,
# we need a working network setup at least
	network-manager-applet | connman-gtk | cmst,
# orca works with mate, adding accessability
	orca,
# libreoffice accessibility needs the GTK frontend
	libreoffice-gtk3,

Package: task-laptop
Architecture: all
Description: laptop
 This task package installs software useful for a laptop.
Depends: ${misc:Depends},
	anacron,
Recommends:
	bluetooth,
	powertop,
# wireless networking tools
	iw,
	wireless-tools,
	wpasupplicant,

Package: task-web-server
Architecture: all
Description: web server
 This task selects packages useful for a general purpose web server
 system.
Depends: ${misc:Depends},
	apache2,
Recommends:
	apache2-doc,
	analog,

Package: task-ssh-server
Architecture: all
Description: SSH server
 This task sets up your system to be remotely accessed through SSH
 connections.
Depends: ${misc:Depends},
	openssh-server,
Recommends:
	openssh-client,

Package: task-console-productivity
Architecture: all
Description: Console productivity
 This task installs the console-based tools available in Devuan
 minimal live. It includes a variety of utilities for system
 administration, clients for Internet protocols, programs for
 personal productivity and multimedia, games, and specofic tools
 for blind users.
Depends: ${misc:Depends},
Recommends:
        dialog,
        zsh,
## admin tools

## tasksel 3.82ubuntu1

=== debian/changelog ===
tasksel (3.82ubuntu1) questing; urgency=medium

  * Merge with Debian Unstable. Remaining changes:
    - debian/control: change source Section to 'admin' because
      Launchpad does not know about 'tasks'
    - task-lxqt-desktop: Substitute libreoffice-qt6 for libreoffice-qt5 as the
      qt5 package no longer exists in Ubuntu.

 -- Rik Mills <rikmills@kde.org>  Fri, 15 Aug 2025 16:10:21 +0100

=== debian/control ===
Source: tasksel
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: nicoo <nicoo@debian.org>
Standards-Version: 4.6.1
Build-Depends:
	debhelper-compat (= 13),
	gettext,
	po-debconf
Vcs-Browser: https://salsa.debian.org/installer-team/tasksel
Vcs-Git: https://salsa.debian.org/installer-team/tasksel.git
Rules-Requires-Root: no

Package: tasksel
Section: admin
Architecture: all
Pre-Depends: debconf | cdebconf
Depends: ${misc:Depends}, liblocale-gettext-perl, apt, tasksel-data
Conflicts: base-config (<< 2.32)
Description: tool for selecting tasks for installation on Debian systems
 This package provides 'tasksel', a simple interface for users who
 want to configure their system to perform a specific task.

Package: tasksel-data
Section: admin
Architecture: all
Depends: ${misc:Depends}
Recommends: laptop-detect, tasksel
Description: official tasks used for installation of Debian systems
 This package contains data about the standard tasks available on a Debian
 system.

Package: task-desktop
Architecture: all
Description: Debian desktop environment
 This task package is used to install the Debian desktop.
Depends: ${misc:Depends},
	xorg,
	xserver-xorg-video-all,
	xserver-xorg-input-all,
	desktop-base,
Recommends:
# One of the actual desktop tasks is needed to get a full desktop environment.
# The order here is significant when installing this task manually;
# when tasksel installs this task it instead selects one of these based
# on the tasksel/desktop debconf setting.
	task-gnome-desktop | task-xfce-desktop | task-kde-desktop | task-lxde-desktop | task-gnome-flashback-desktop | task-cinnamon-desktop | task-mate-desktop | task-lxqt-desktop,
# For use by third-party apps.
	xdg-utils,
# Font with wide unicode coverage, prevents “Unicode tofu”
	fonts-symbola,
# mdns/zeroconf stuff
	avahi-daemon,
	libnss-mdns,
# desktop machines might not be up 24/7
	anacron,
# Make sure that CDs etc can be ejected. May not be installed by d-i.
	eject,
# wireless networking tools (they're more and more used on desktops too)
	iw,
# sound
	alsa-utils,
# For use by users, to elevate privileges
	sudo,
# firefox is the most popular web browser at the moment,
# although both gnome and kde offer their own too
	firefox | firefox-esr,
# print system
	cups,

Package: task-gnome-desktop
Architecture: all
Description: GNOME
 This task package is used to install the Debian desktop, featuring
 the GNOME desktop environment, and with other packages that Debian users
 expect to have available on the desktop.
Depends: ${misc:Depends},
	task-desktop,
# only depend on a very minimal gnome desktop, to ensure it fits on CD1
	gnome-core,
Recommends:
# The full gnome desktop environment should be included if possible
# even if the larger gnome metapackage doesn't fit.
	gnome,

Package: task-gnome-flashback-desktop
Architecture: all
Description: GNOME Flashback
 This task package is used to install the Debian desktop, featuring
 the GNOME Flashback desktop environment, and with other packages that
 Debian users expect to have available on the desktop.
Depends: ${misc:Depends},
	task-desktop,
# the basic components required for the session
	gnome-session-flashback,
# the display manager
	gdm3,
# the control center
	gnome-control-center,
# some core GNOME applications
	eog,
	evince,
	file-roller,
	gedit,
	gnome-calculator,
	gnome-screenshot,
	gnome-terminal,
	totem,
# network manager applet
	network-manager-applet,
Recommends:
# GNOME support in LibreOffice
	libreoffice-gnome,
# libreoffice is the best word processor / office suite at the moment
	libreoffice-writer,
	libreoffice-calc,
	libreoffice-impress,
# make help menu work
	libreoffice-help-en-us,
# make thesaurus work
	mythes-en-us,
# make spellchecker work
	hunspell-en-us,
# make hyphenation work
	hyphen-en-us,
# accessibility support
	orca,
# web browser
	firefox | firefox-esr,
# mail client
	evolution,
# package management
	gnome-software,
	synaptic,
# some non-core GNOME applications
	alacarte,
	gnome-disk-utility,
	gnome-tweaks,
	yelp,

Package: task-kde-desktop
Architecture: all
Description: KDE Plasma
 This task package is used to install the Debian desktop, featuring
 the KDE Plasma desktop environment, and with other packages that Debian users
 expect to have available on the desktop.
Depends: ${misc:Depends},
	task-desktop,
	kde-standard,
	sddm,
Recommends:
# accessibility support
	kdeaccessibility,
# orca works with kde, adding accessibility
	orca,
# temporarily moved from task-desktop due to #525077
	gimp,
# libreoffice is the best word processor / office suite at the moment
	libreoffice-writer,
	libreoffice-calc,
	libreoffice-impress,
# KDE support in LibreOffice
	libreoffice-plasma,
	libreoffice-kf6,
# make help menu work
	libreoffice-help-en-us,
# make thesaurus work
	mythes-en-us,
# make spellchecker work
	hunspell-en-us,
# make hyphenation work
	hyphen-en-us,
# gui for configuration of the print service
	print-manager,

Package: task-lxde-desktop
Architecture: all
Description: LXDE
 This task package is used to install the Debian desktop, featuring
 the LXDE desktop environment, and with other packages that Debian users
 expect to have available on the desktop.
Depends: ${misc:Depends},
	task-desktop,
	lightdm,
	lxde,
Recommends:
	lxtask,
	lxlauncher,
	xsane,
# libreoffice widgets using just gtk, and also accessibility needs the GTK frontend
	libreoffice-gtk3,
# Package management.
	synaptic,
# libreoffice is the best word processor / office suite at the moment
	libreoffice-writer,
	libreoffice-calc,
	libreoffice-impress,
# make help menu work
	libreoffice-help-en-us,
# make thesaurus work
	mythes-en-us,
# make spellchecker work
	hunspell-en-us,
# make hyphenation work
	hyphen-en-us,
# gui for configuration of the print service
	system-config-printer,
# orca works with lxde, adding accessibility
	orca,

Package: task-lxqt-desktop
Architecture: all
Description: LXQt
 This task package is used to install the Debian desktop, featuring
 the LXQt desktop environment, and with other packages that Debian users
 expect to have available on the desktop.
Depends: ${misc:Depends},
         task-desktop,
# Mention the preferred theme before sddm, otherwise another theme will be used
         sddm-theme-debian-elarun | sddm-theme,
         sddm,
         lxqt,
Recommends: xsane,
# orca works with qt, adding accessibility
	orca,
# libreoffice widgets using just gtk and qt
	libreoffice-gtk3,
	libreoffice-qt6,
# Package management.
	synaptic,
# libreoffice is the best word processor / office suite at the moment
	libreoffice-writer,
	libreoffice-calc,
	libreoffice-impress,
# make help menu work
	libreoffice-help-en-us,
# make thesaurus work
	mythes-en-us,
# make spellchecker work
	hunspell-en-us,
# make hyphenation work
	hyphen-en-us,
# gui for configuration of the print service
	system-config-printer,

Package: task-xfce-desktop
Architecture: all
Description: Xfce
 This task package is used to install the Debian desktop, featuring
 the Xfce desktop environment, and with other packages that Debian users
 expect to have available on the desktop.
Depends: ${misc:Depends},
	task-desktop,
# The basics of xfce, not the whole thing.
	xfce4,
	lightdm
Recommends:
# a screen saver/locker
	light-locker,
# well known xfce4 enhancements
	xfce4-goodies,
	xfce4-power-manager,
	xfce4-terminal,
# xfce text editor
	mousepad,
# xfce is really improved by using dbus
	default-dbus-session-bus | dbus-session-bus,
# support for scanners
	xsane,
# media players
	parole,
	quodlibet,
# pdf viewer
	atril,
# icon theme
	tango-icon-theme,
# network management
	network-manager-applet,
	nm-connection-editor,
# package management
	synaptic,
# libreoffice is the best word processor / office suite at the moment
	libreoffice-writer,
	libreoffice-calc,
	libreoffice-impress,
# make help menu work
	libreoffice-help-en-us,
# make thesaurus work
	mythes-en-us,
# make spellchecker work
	hunspell-en-us,
# make hyphenation work
	hyphen-en-us,
# gui for configuration of the print service
	system-config-printer,
# orca works with xfce, adding accessibility
	orca,
# libreoffice accessibility needs the GTK frontend
	libreoffice-gtk3,

Package: task-cinnamon-desktop
Architecture: all
Description: Cinnamon
 This task package is used to install the Debian desktop, featuring
 the Cinnamon desktop environment, and with other packages that Debian users
 expect to have available on the desktop.
Depends: ${misc:Depends},
	task-desktop,
	cinnamon-desktop-environment

Package: task-mate-desktop
Architecture: all
Description: MATE
 This task package is used to install the Debian desktop, featuring
 the MATE desktop environment, and with other packages that Debian users
 expect to have available on the desktop.
Depends: ${misc:Depends},
	task-desktop,
	mate-desktop-environment,
	lightdm,
Recommends:
# temporarily moved from task-desktop due to #525077
	gimp,
# Package management.
	synaptic,
# libreoffice is the best word processor / office suite at the moment
	libreoffice-writer,
	libreoffice-calc,
	libreoffice-impress,
# make e.g. sftp:// work in caja
	libreoffice-gnome,
# make help menu work
	libreoffice-help-en-us,
# make thesaurus work
	mythes-en-us,
# make spellchecker work
	hunspell-en-us,
# make hyphenation work
	hyphen-en-us,
# we need a working network setup at least
	network-manager-gnome,
# orca works with mate, adding accessibility
	orca,
# libreoffice accessibility needs the GTK frontend
	libreoffice-gtk3,

Package: task-laptop
Architecture: all
Description: laptop
 This task package installs software useful for a laptop.
Depends: ${misc:Depends},
	anacron,
Recommends:
	bluetooth,
	powertop,
# wireless networking tools
	iw,
	wireless-tools,
	wpasupplicant,

Package: task-web-server
Architecture: all
Description: web server
 This task selects packages useful for a general purpose web server
 system.
Depends: ${misc:Depends},
	apache2,
Recommends:
	apache2-doc,
	analog,

Package: task-ssh-server
Architecture: all
Description: SSH server
 This task sets up your system to be remotely accessed through SSH
 connections.
Depends: ${misc:Depends},
	openssh-server,
Recommends:
	openssh-client,

Package: task-albanian-desktop
Architecture: all
Description: Albanian desktop
 This task localises the desktop in Albanian.
Depends: ${misc:Depends},
Recommends:
	firefox-esr-l10n-sq | firefox-l10n-sq,
	myspell-sq,

Package: task-amharic
Architecture: all
Description: Amharic environment
 This task installs programs, data files, fonts, and
 documentation that makes it easier for Amharic speakers
 to use Debian.
Depends: ${misc:Depends},
Recommends:
	aspell-am

Package: task-amharic-desktop
Architecture: all
Description: Amharic desktop
 This task localises the desktop in Amharic.
Depends: ${misc:Depends}
Recommends:
	fonts-sil-abyssinica,
	fcitx,
	fcitx-table-amharic,
	fcitx-frontend-gtk2,
	fcitx-frontend-gtk3,
	fcitx-config-gtk

Package: task-amharic-gnome-desktop
Architecture: all
Description: Amharic GNOME desktop
 This task localises the GNOME desktop in Amharic.
Depends: ${misc:Depends}
Recommends:
	ibus-m17n,
# ibus doesn't have a default config for all languages, so force creation
	gnome-initial-setup

Package: task-amharic-kde-desktop
Architecture: all
Description: Amharic KDE Plasma desktop
 This task localises the KDE Plasma desktop in Amharic.
Depends: ${misc:Depends},
Recommends:
	fcitx-frontend-qt5,
	kde-config-fcitx

Package: task-arabic
Architecture: all
Description: Arabic environment
 This task installs programs, data files, fonts, and
 documentation that makes it easier for Arabic speakers
 to use Debian.
Depends: ${misc:Depends},
Recommends:
	fonts-arabeyes,
	aspell-ar,
	aspell-ar-large,
	itools

Package: task-arabic-desktop
Architecture: all
Description: Arabic desktop
 This task localises the desktop in Arabic.
Depends: ${misc:Depends},
Recommends:

## tasksel 3.82+kaisen1

=== Makefile ===
DOMAIN=debian-tasks
TASKDESC=$(DOMAIN).desc
TASKDIR=/usr/share/tasksel
DESCDIR=kaisen-tasks
DESCPO=$(DESCDIR)/po
VERSION=$(shell expr "`dpkg-parsechangelog 2>/dev/null |grep Version:`" : '.*Version: \(.*\)' | cut -d - -f 1)
LANGS=ar bg bn bs ca cs cy da de dz el eo es et eu fa fi fr gl gu he hi hr hu hy id it ja km ko lt lv mg mk nb ne nl nn pa pl pt_BR pt ro ru sk sl sq sv ta te th tl tr uk vi wo zh_CN zh_TW
LANGS_DESC=de es fr it pt
LOCALEDIR=$(DESTDIR)/usr/share/locale

all: $(TASKDESC) $(DESCPO)/build_stamp po/build_stamp

$(TASKDESC): makedesc.pl $(DESCDIR)/[a-z]??*
	./doincludes.pl $(DESCDIR)
	./makedesc.pl $(DESCDIR) $(TASKDESC)

%.o: %.c
	$(COMPILE) $<

po/build_stamp:
	$(MAKE) -C po LANGS="$(LANGS)"

updatepo:
	$(MAKE) -C po update LANGS="$(LANGS)"

$(DESCPO)/build_stamp:
	$(MAKE) -C $(DESCPO) LANGS="$(LANGS_DESC)"

updatetaskspo:
	$(MAKE) -C $(DESCPO) update LANGS="$(LANGS_DESC)"

install:
	install -d $(DESTDIR)/usr/bin \
		$(DESTDIR)/usr/lib/tasksel/tests \
		$(DESTDIR)/usr/lib/tasksel/packages \
		$(DESTDIR)/usr/share/man/man8
	install -m 755 tasksel.pl $(DESTDIR)/usr/bin/tasksel
	install -m 755 tasksel-debconf $(DESTDIR)/usr/lib/tasksel/
	install -m 644 default_desktop $(DESTDIR)/usr/lib/tasksel/
	install -m 755 tests/new-install $(DESTDIR)/usr/lib/tasksel/tests/
	install -m 755 tests/debconf $(DESTDIR)/usr/lib/tasksel/tests/
	install -m 755 tests/lang $(DESTDIR)/usr/lib/tasksel/tests/
	install -m 755 packages/list $(DESTDIR)/usr/lib/tasksel/packages/
	pod2man --section=8 --center "Debian specific manpage" --release $(VERSION) tasksel.pod | gzip -9c > $(DESTDIR)/usr/share/man/man8/tasksel.8.gz
	for lang in $(LANGS); do \
		[ ! -d $(LOCALEDIR)/$$lang/LC_MESSAGES/ ] && mkdir -p $(LOCALEDIR)/$$lang/LC_MESSAGES/; \
		install -m 644 po/$$lang.mo $(LOCALEDIR)/$$lang/LC_MESSAGES/tasksel.mo; \
	done

install-data:
	install -d $(DESTDIR)$(TASKDIR)/descs \
		$(DESTDIR)/usr/lib/tasksel/tests
	install -m 0644 $(TASKDESC) $(DESTDIR)$(TASKDIR)/descs
	for test in tests/*; do \
		[ "$$test" = "tests/new-install" ] && continue; \
		[ "$$test" = "tests/debconf" ] && continue; \
		[ "$$test" = "tests/lang" ] && continue; \
		install -m 755 $$test $(DESTDIR)/usr/lib/tasksel/tests/; \
	done
	for package in packages/*; do \
		[ "$$package" = "packages/list" ] && continue; \
		install -m 755 $$package $(DESTDIR)/usr/lib/tasksel/packages/; \
	done
	for lang in $(LANGS_DESC); do \
		[ ! -d $(LOCALEDIR)/$$lang/LC_MESSAGES/ ] && mkdir -p $(LOCALEDIR)/$$lang/LC_MESSAGES/; \
		install -m 644 $(DESCDIR)/po/$$lang.mo $(LOCALEDIR)/$$lang/LC_MESSAGES/$(DOMAIN).mo; \
	done

clean:
	rm -f $(TASKDESC) *~
	$(MAKE) -C po clean
	$(MAKE) -C $(DESCPO) clean

=== debian/changelog ===
tasksel (3.82+kaisen1) kaisen-packages; urgency=medium

  * Import the new upstream release

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sun, 10 Aug 2025 04:06:58 +0200

tasksel (3.75+kaisen1) kaisen-packages; urgency=medium

  * Import the new upstream release

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sat, 10 Aug 2024 03:08:49 +0200

tasksel (3.72+kaisen1) kaisen-packages; urgency=medium

  * Import the new upstream release

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Fri, 10 Mar 2023 17:33:03 +0100

tasksel (3.70+kaisen2) kaisen-packages; urgency=medium

  * Add the installation of the kaisen-exegol package

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Mon, 05 Dec 2022 20:26:07 +0100

tasksel (3.70+kaisen1) kaisen-packages; urgency=medium

  * Import 3.70 version

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sun, 14 Aug 2022 20:36:29 +0100

tasksel (3.69+kaisen2) kaisen-packages; urgency=medium

  * Add Conky task

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Fri, 18 Feb 2022 15:01:42 +0100

tasksel (3.69+kaisen1) kaisen-packages; urgency=medium

  * Import 3.69 version

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sun, 13 Feb 2022 17:05:29 +0100

tasksel (3.68+kaisen16) kaisen-packages; urgency=medium

  * Add technicians-duplicates-files task

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Wed, 29 Dec 2021 07:28:49 +0100

tasksel (3.68+kaisen15) kaisen-packages; urgency=medium

  * Add sysadmin-databases task

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Tue, 09 Nov 2021 21:23:47 +0200

tasksel (3.68+kaisen14) kaisen-packages; urgency=medium

  * Replace LXDE by LXQT

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Fri, 05 Nov 2021 21:02:09 +0200

tasksel (3.68+kaisen13) kaisen-packages; urgency=medium

  * Update translations
  * Add AppArmor and firewalling tasks
  * Add firewalling and AppArmor translations

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Mon, 01 Nov 2021 04:16:27 +0200

tasksel (3.68+kaisen12) kaisen-packages; urgency=medium

  * Add fr, es, it and de translations

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sun, 30 Oct 2021 16:10:06 +0200

tasksel (3.68+kaisen11) kaisen-packages; urgency=medium

  * Rename network-dhcp in sysadmin-dhcp
  * Rename network-dns in sysadmin-dns
  * Rename network-tls in network-tls
  * Rename devops task in sysops
  * Move uncategorized in last section

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Mon, 18 Oct 2021 23:32:29 +0200

tasksel (3.68+kaisen10) kaisen-packages; urgency=medium

  * Remove sysadmin-btrfs task
  * Update description of technicians task

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Mon, 11 Oct 2021 04:33:11 +0200

tasksel (3.68+kaisen9) kaisen-packages; urgency=medium

  * Remove technicians-mount, technicians-zip and technicians-various
    tasks

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Mon, 11 Oct 2021 03:15:52 +0200

tasksel (3.68+kaisen8) kaisen-packages; urgency=medium

  * Rename sysadmin-devops task in devops
  * The devops task is now not linked at sysadmin task
  * Add update task (to install kaisen-update command)
  * Renum tasks

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sun, 26 Sep 2021 02:55:24 +0200

tasksel (3.68+kaisen7) kaisen-packages; urgency=medium

  * Rename kaisen-tasks/sysadmin-sysops in kaisen-tasks/sysadmin-devops
  * Update kaisen-tasks/sysadmin-devops task

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Mon, 20 Sep 2021 00:48:02 +0200

tasksel (3.68+kaisen6) kaisen-packages; urgency=medium

  * Readd all tools tasks
  * Update descriptions of tasks
  * Remove kaisen-netinst-configurator task

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sat, 31 Jul 2021 09:13:17 +0200

tasksel (3.68+kaisen5) kaisen-packages; urgency=medium

  * Remove kaisen-tasks-old (replace by kaisen-netinst-configurator)
  * Add kaisen-netinst-configurator task

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sat, 10 Jul 2021 22:21:16 +0200

tasksel (3.68+kaisen4) kaisen-packages; urgency=medium

  * Readd kaisen-tasks-old
  * Keep only desktop tasks

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sat, 10 Jul 2021 15:51:54 +0200

tasksel (3.68+kaisen3) kaisen-packages; urgency=medium

  * Rename kaisen-tasks-orig to kaisen-tasks

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sun, 4 Jul 2021 00:34:31 +0200

tasksel (3.68+kaisen2) kaisen-packages; urgency=medium

  * Create kaisen-tasks-orig folder to keep only desktop tasks
    in kaisen-tasks folder

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Thu, 1 Jul 2021 23:31:24 +0200

tasksel (3.68+kaisen1) kaisen-packages; urgency=medium

  * Import new upstream release

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Fri, 11 Jun 2021 17:24:46 +0200

tasksel (3.67+kaisen1) kaisen-testing; urgency=medium

  * Adding kaisen-tasks
  * Remove task-* packages

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sun, 02 May 2021 21:18:44 +0200

=== debian/control ===
Source: tasksel
Section: tasks
Priority: optional
XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Maintainer: Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>
Standards-Version: 4.6.1
Build-Depends:
	debhelper-compat (= 13),
	gettext,
	po-debconf
Vcs-Browser: https://gitlab.com/kaisenlinux/packages/tasksel
Vcs-Git: https://gitlab.com/kaisenlinux/packages/tasksel.git
Rules-Requires-Root: no

Package: tasksel
Section: admin
Architecture: all
Pre-Depends: debconf | cdebconf
Depends: ${misc:Depends}, liblocale-gettext-perl, apt, tasksel-data
Conflicts: base-config (<< 2.32)
Description: tool for selecting tasks for installation on Debian systems
 This package provides 'tasksel', a simple interface for users who
 want to configure their system to perform a specific task.

Package: tasksel-data
Section: admin
Architecture: all
Depends: ${misc:Depends}
Recommends: laptop-detect, tasksel
Description: official tasks used for installation of Debian systems
 This package contains data about the standard tasks available on a Debian
 system.
